Package org.apache.wiki.htmltowiki

## Class XHtmlToWikiConfig

- java.lang.Object
- - org.apache.wiki.htmltowiki.XHtmlToWikiConfig

    public class XHtmlToWikiConfig
    extends java.lang.Object

Defines a Wiki configuration to XHtmlToWikiTranslator, including things like URLs.

### Constructor Summary

Constructors
`XHtmlToWikiConfig()` Creates a new, empty config object.
`XHtmlToWikiConfig​(Context wikiContext)` The constructor initializes the different internal fields according to the current URLConstructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAttachPage()` Return the URL for the attachments.
`java.lang.String` `getEditJspPage()` Return the URI to the Edit.jsp page.
`java.lang.String` `getOutlink()` Gets the URL of the outlink image.
`java.lang.String` `getPageInfoJsp()` Get the PageInfo.jsp URI.
`java.lang.String` `getPageName()` Get the page name.
`java.lang.String` `getWikiJspPage()` Get the URI to the Wiki.jsp view.
`boolean` `isNotIgnorableWikiMarkupLink​(org.jdom2.Element a)`
`void` `setAttachPage​(java.lang.String attachPage)` Set the URL for attachments.
`void` `setEditJspPage​(java.lang.String editJspPage)` Set the URI to the Edit.jsp page.
`void` `setOutlink​(java.lang.String outlink)` Set the outlink URL.
`void` `setPageInfoJsp​(java.lang.String pageInfoJsp)` Set the URI for the page info display.
`void` `setPageName​(java.lang.String pageName)` Set the page name.
`void` `setWikiJspPage​(java.lang.String wikiJspPage)` Set the URI to the Wiki.jsp.
`java.lang.String` `trimLink​(java.lang.String ref)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XHtmlToWikiConfig

    public XHtmlToWikiConfig()

Creates a new, empty config object.

#### XHtmlToWikiConfig

    public XHtmlToWikiConfig​(Context wikiContext)

The constructor initializes the different internal fields according to the current URLConstructor.

Parameters:
  `wikiContext` - A WikiContext

### Method Detail

#### getAttachPage

    public java.lang.String getAttachPage()

Return the URL for the attachments.

Returns:
  URL for attachments.

#### setAttachPage

    public void setAttachPage​(java.lang.String attachPage)

Set the URL for attachments.

Parameters:
  `attachPage` - The attachment URL.

#### getOutlink

    public java.lang.String getOutlink()

Gets the URL of the outlink image.

Returns:
  The URL of the outlink image.

#### setOutlink

    public void setOutlink​(java.lang.String outlink)

Set the outlink URL.

Parameters:
  `outlink` - The outlink URL.

#### getPageInfoJsp

    public java.lang.String getPageInfoJsp()

Get the PageInfo.jsp URI.

Returns:
  The URI for the page info display.

#### setPageInfoJsp

    public void setPageInfoJsp​(java.lang.String pageInfoJsp)

Set the URI for the page info display.

Parameters:
  `pageInfoJsp` - URI for the page info.

#### getPageName

    public java.lang.String getPageName()

Get the page name.

Returns:
  The Page Name.

#### setPageName

    public void setPageName​(java.lang.String pageName)

Set the page name.

Parameters:
  `pageName` - The name of the page.

#### getWikiJspPage

    public java.lang.String getWikiJspPage()

Get the URI to the Wiki.jsp view.

Returns:
  The URI to the Wiki.jsp.

#### setWikiJspPage

    public void setWikiJspPage​(java.lang.String wikiJspPage)

Set the URI to the Wiki.jsp.

Parameters:
  `wikiJspPage` - The URI to the Wiki.jsp.

#### getEditJspPage

    public java.lang.String getEditJspPage()

Return the URI to the Edit.jsp page.

Returns:
  The URI to the Edit.jsp page.

#### setEditJspPage

    public void setEditJspPage​(java.lang.String editJspPage)

Set the URI to the Edit.jsp page.

Parameters:
  `editJspPage` - The Edit.jsp URI.

#### isNotIgnorableWikiMarkupLink

    public boolean isNotIgnorableWikiMarkupLink​(org.jdom2.Element a)

#### trimLink

    public java.lang.String trimLink​(java.lang.String ref)